> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch payment tags

> Returns the tags associated with the provided invoice payment id. Tags are custom labels that can be applied to payments to help categorize or filter reporting.



## OpenAPI

````yaml get /v1/businesses/{businessId}/invoices/payments/{paymentId}/tags
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/invoices/payments/{paymentId}/tags:
    get:
      tags: []
      summary: Fetch payment tags
      description: >-
        Returns the tags associated with the provided invoice payment id. Tags
        are custom labels that can be applied to payments to help categorize or
        filter reporting.
      operationId: business.invoices.payments.tags.get
      parameters:
        - name: businessId
          in: path
          description: >-
            The UUID of the business that the invoice payment to fetch tags for
            belongs to
          required: true
          schema:
            type: string
        - name: paymentId
          in: path
          description: The UUID of the invoice payment to fetch tags for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiTag'
        '404':
          description: >-
            Business or payment id is not found. This indicates the payment id
            is invalid or the payment has been deleted, or the business is not
            found or has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID for the tag
        key:
          type: string
          description: Key for the tag
          example: ExampleTagKey
        dimension_display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension
        value:
          type: string
          description: Value for the tag
          example: ExampleTagValue
        value_display_name:
          type: string
          nullable: true
          description: Display name for the tag value definition
        dimension_id:
          type: string
          format: uuid
          description: ID of the tag dimension this tag belongs to
        definition_id:
          type: string
          format: uuid
          description: ID of the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: When the tag was archived
      required:
        - id
        - key
        - value
        - dimension_id
        - definition_id
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````